Bug 197934 - New project from binary: library searching confuses users
New project from binary: library searching confuses users
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC Solaris
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 07:29 UTC by Alexander Simon
Modified: 2011-09-26 13:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-04-21 07:29:17 UTC
New project from binary wizard on step "select binary file" has a table with
list of shared libraries.
The table column "shared library" is filled after lite binary analyzing.
Button "Next" is became available.
User is confused about columns "use" and "library paths".
While searching unresolved library paths table is not editable.
User can press next and state of libraries is ambiguous.
So pressing "next" interrupts search and user does not understand which libraries were checked and which were not checked.
It seems user should have possibility to explicitly interrupt searching of libraries paths before pressing next.
Comment 1 Quality Engineering 2011-04-22 05:03:37 UTC
Integrated into 'main-golden', will be available in build *201104220000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8054d050e28e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #197934 New project from binary: library searching confuses users
Comment 2 Alexander Simon 2011-06-21 11:08:10 UTC
fixed in branch release701_dev:
http://hg.netbeans.org/releases/rev/a8ec3e609781
Comment 3 Alexander Simon 2011-06-21 11:09:39 UTC
Vladimir K: Please review fix.
Qa: Please verify fix in branch releases701_dev.
Comment 4 Vladimir Kvashin 2011-06-22 09:48:40 UTC
I reviewed the fix, I believe it is correct and safe.
Comment 5 Leonid Lenyashin 2011-06-22 11:07:48 UTC
It is a P3, how come it is HR candidate?
Comment 6 Quality Engineering 2011-06-22 14:02:42 UTC
Integrated into 'main-golden', will be available in build *201106220600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c33040f16bd0
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #197934 New project from binary: library searching confuses users
(transplanted from a8ec3e609781d77f4c72027cd7c8c41529b55f55)
Comment 7 Alexander Simon 2011-08-15 10:20:32 UTC
fix transplanted to release701_fixes on elif:
c33040f16bd0 transplanted to 40ab55c0698e
Comment 8 Alexander Pepin 2011-08-23 13:34:35 UTC
verified in dev build #30 (20110823)
Comment 9 Alexander Simon 2011-08-24 11:27:22 UTC
integrated in release701_fixes:
40ab55c0698e transplanted to 5724ce290559
Comment 10 Quality Engineering 2011-08-25 04:23:48 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/5724ce290559
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #197934 New project from binary: library searching confuses users
(transplanted from a8ec3e609781d77f4c72027cd7c8c41529b55f55)
(transplanted from 40ab55c0698e924c860a144a49416a382ed4dee7)
Comment 11 soldatov 2011-08-29 09:14:27 UTC
verified
Comment 12 Quality Engineering 2011-09-26 13:26:15 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/40ab55c0698e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #197934 New project from binary: library searching confuses users
(transplanted from a8ec3e609781d77f4c72027cd7c8c41529b55f55)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo